Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ContextCapabilities

    java.lang.Object
      org.lwjgl.opengl.ContextCapabilities

    public class ContextCapabilities

extends java.lang.Object

Field Summary
`boolean` | `GL_ARB_color_buffer_float`
`boolean` | `GL_ARB_depth_texture`
`boolean` | `GL_ARB_draw_buffers`
`boolean` | `GL_ARB_fragment_program`
`boolean` | `GL_ARB_fragment_program_shadow`
`boolean` | `GL_ARB_fragment_shader`
`boolean` | `GL_ARB_half_float_pixel`
`boolean` | `GL_ARB_imaging`
`boolean` | `GL_ARB_matrix_palette`
`boolean` | `GL_ARB_multisample`
`boolean` | `GL_ARB_multitexture`
`boolean` | `GL_ARB_occlusion_query`
`boolean` | `GL_ARB_pixel_buffer_object`
`boolean` | `GL_ARB_point_parameters`
`boolean` | `GL_ARB_point_sprite`
`boolean` | `GL_ARB_shader_objects`
`boolean` | `GL_ARB_shading_language_100`
`boolean` | `GL_ARB_shadow`
`boolean` | `GL_ARB_shadow_ambient`
`boolean` | `GL_ARB_texture_border_clamp`
`boolean` | `GL_ARB_texture_compression`
`boolean` | `GL_ARB_texture_cube_map`
`boolean` | `GL_ARB_texture_env_add`
`boolean` | `GL_ARB_texture_env_combine`
`boolean` | `GL_ARB_texture_env_crossbar`
`boolean` | `GL_ARB_texture_env_dot3`
`boolean` | `GL_ARB_texture_float`
`boolean` | `GL_ARB_texture_mirrored_repeat`
`boolean` | `GL_ARB_texture_non_power_of_two`
`boolean` | `GL_ARB_texture_rectangle`
`boolean` | `GL_ARB_transpose_matrix`
`boolean` | `GL_ARB_vertex_blend`
`boolean` | `GL_ARB_vertex_buffer_object`
`boolean` | `GL_ARB_vertex_program`
`boolean` | `GL_ARB_vertex_shader`
`boolean` | `GL_ARB_window_pos`
`boolean` | `GL_ATI_draw_buffers`
`boolean` | `GL_ATI_element_array`
`boolean` | `GL_ATI_envmap_bumpmap`
`boolean` | `GL_ATI_fragment_shader`
`boolean` | `GL_ATI_map_object_buffer`
`boolean` | `GL_ATI_pn_triangles`
`boolean` | `GL_ATI_separate_stencil`
`boolean` | `GL_ATI_shader_texture_lod`
`boolean` | `GL_ATI_text_fragment_shader`
`boolean` | `GL_ATI_texture_compression_3dc`
`boolean` | `GL_ATI_texture_float`
`boolean` | `GL_ATI_texture_mirror_once`
`boolean` | `GL_ATI_vertex_array_object`
`boolean` | `GL_ATI_vertex_attrib_array_object`
`boolean` | `GL_ATI_vertex_streams`
`boolean` | `GL_EXT_abgr`
`boolean` | `GL_EXT_bgra`
`boolean` | `GL_EXT_bindable_uniform`
`boolean` | `GL_EXT_blend_color`
`boolean` | `GL_EXT_blend_equation_separate`
`boolean` | `GL_EXT_blend_func_separate`
`boolean` | `GL_EXT_blend_minmax`
`boolean` | `GL_EXT_blend_subtract`
`boolean` | `GL_EXT_cg_shader`
`boolean` | `GL_EXT_compiled_vertex_array`
`boolean` | `GL_EXT_depth_bounds_test`
`boolean` | `GL_EXT_draw_buffers2`
`boolean` | `GL_EXT_draw_instanced`
`boolean` | `GL_EXT_draw_range_elements`
`boolean` | `GL_EXT_fog_coord`
`boolean` | `GL_EXT_framebuffer_blit`
`boolean` | `GL_EXT_framebuffer_multisample`
`boolean` | `GL_EXT_framebuffer_object`
`boolean` | `GL_EXT_framebuffer_sRGB`
`boolean` | `GL_EXT_geometry_shader4`
`boolean` | `GL_EXT_gpu_program_parameters`
`boolean` | `GL_EXT_gpu_shader4`
`boolean` | `GL_EXT_multi_draw_arrays`
`boolean` | `GL_EXT_packed_depth_stencil`
`boolean` | `GL_EXT_packed_float`
`boolean` | `GL_EXT_packed_pixels`
`boolean` | `GL_EXT_paletted_texture`
`boolean` | `GL_EXT_pixel_buffer_object`
`boolean` | `GL_EXT_point_parameters`
`boolean` | `GL_EXT_rescale_normal`
`boolean` | `GL_EXT_secondary_color`
`boolean` | `GL_EXT_separate_specular_color`
`boolean` | `GL_EXT_shadow_funcs`
`boolean` | `GL_EXT_shared_texture_palette`
`boolean` | `GL_EXT_stencil_clear_tag`
`boolean` | `GL_EXT_stencil_two_side`
`boolean` | `GL_EXT_stencil_wrap`
`boolean` | `GL_EXT_texture_3d`
`boolean` | `GL_EXT_texture_array`
`boolean` | `GL_EXT_texture_buffer_object`
`boolean` | `GL_EXT_texture_compression_latc`
`boolean` | `GL_EXT_texture_compression_rgtc`
`boolean` | `GL_EXT_texture_compression_s3tc`
`boolean` | `GL_EXT_texture_env_combine`
`boolean` | `GL_EXT_texture_env_dot3`
`boolean` | `GL_EXT_texture_filter_anisotropic`
`boolean` | `GL_EXT_texture_integer`
`boolean` | `GL_EXT_texture_lod_bias`
`boolean` | `GL_EXT_texture_mirror_clamp`
`boolean` | `GL_EXT_texture_rectangle`
`boolean` | `GL_EXT_texture_shared_exponent`
`boolean` | `GL_EXT_texture_sRGB`
`boolean` | `GL_EXT_timer_query`
`boolean` | `GL_EXT_vertex_shader`
`boolean` | `GL_EXT_vertex_weighting`
`boolean` | `GL_HP_occlusion_test`
`boolean` | `GL_IBM_rasterpos_clip`
`boolean` | `GL_NV_blend_square`
`boolean` | `GL_NV_copy_depth_to_color`
`boolean` | `GL_NV_depth_buffer_float`
`boolean` | `GL_NV_depth_clamp`
`boolean` | `GL_NV_evaluators`
`boolean` | `GL_NV_fence`
`boolean` | `GL_NV_float_buffer`
`boolean` | `GL_NV_fog_distance`
`boolean` | `GL_NV_fragment_program`
`boolean` | `GL_NV_fragment_program_option`
`boolean` | `GL_NV_fragment_program2`
`boolean` | `GL_NV_fragment_program4`
`boolean` | `GL_NV_framebuffer_multisample_coverage`
`boolean` | `GL_NV_geometry_program4`
`boolean` | `GL_NV_geometry_shader4`
`boolean` | `GL_NV_gpu_program4`
`boolean` | `GL_NV_half_float`
`boolean` | `GL_NV_light_max_exponent`
`boolean` | `GL_NV_multisample_filter_hint`
`boolean` | `GL_NV_occlusion_query`
`boolean` | `GL_NV_packed_depth_stencil`
`boolean` | `GL_NV_parameter_buffer_object`
`boolean` | `GL_NV_pixel_data_range`
`boolean` | `GL_NV_point_sprite`
`boolean` | `GL_NV_primitive_restart`
`boolean` | `GL_NV_register_combiners`
`boolean` | `GL_NV_register_combiners2`
`boolean` | `GL_NV_texgen_reflection`
`boolean` | `GL_NV_texture_compression_vtc`
`boolean` | `GL_NV_texture_env_combine4`
`boolean` | `GL_NV_texture_expand_normal`
`boolean` | `GL_NV_texture_rectangle`
`boolean` | `GL_NV_texture_shader`
`boolean` | `GL_NV_texture_shader2`
`boolean` | `GL_NV_texture_shader3`
`boolean` | `GL_NV_transform_feedback`
`boolean` | `GL_NV_vertex_array_range`
`boolean` | `GL_NV_vertex_array_range2`
`boolean` | `GL_NV_vertex_program`
`boolean` | `GL_NV_vertex_program1_1`
`boolean` | `GL_NV_vertex_program2`
`boolean` | `GL_NV_vertex_program2_option`
`boolean` | `GL_NV_vertex_program3`
`boolean` | `GL_NV_vertex_program4`
`boolean` | `GL_SGIS_generate_mipmap`
`boolean` | `GL_SGIS_texture_lod`
`boolean` | `GL_SUN_slice_accum`
`boolean` | `OpenGL11`
`boolean` | `OpenGL12`
`boolean` | `OpenGL13`
`boolean` | `OpenGL14`
`boolean` | `OpenGL15`
`boolean` | `OpenGL20`
`boolean` | `OpenGL21`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ARB_color_buffer_float

    public final boolean GL_ARB_color_buffer_float

### GL_ARB_depth_texture

    public final boolean GL_ARB_depth_texture

### GL_ARB_draw_buffers

    public final boolean GL_ARB_draw_buffers

### GL_ARB_fragment_program

    public final boolean GL_ARB_fragment_program

### GL_ARB_fragment_program_shadow

    public final boolean GL_ARB_fragment_program_shadow

### GL_ARB_fragment_shader

    public final boolean GL_ARB_fragment_shader

### GL_ARB_half_float_pixel

    public final boolean GL_ARB_half_float_pixel

### GL_ARB_imaging

    public final boolean GL_ARB_imaging

### GL_ARB_matrix_palette

    public final boolean GL_ARB_matrix_palette

### GL_ARB_multisample

    public final boolean GL_ARB_multisample

### GL_ARB_multitexture

    public final boolean GL_ARB_multitexture

### GL_ARB_occlusion_query

    public final boolean GL_ARB_occlusion_query

### GL_ARB_pixel_buffer_object

    public final boolean GL_ARB_pixel_buffer_object

### GL_ARB_point_parameters

    public final boolean GL_ARB_point_parameters

### GL_ARB_point_sprite

    public final boolean GL_ARB_point_sprite

### GL_ARB_shader_objects

    public final boolean GL_ARB_shader_objects

### GL_ARB_shading_language_100

    public final boolean GL_ARB_shading_language_100

### GL_ARB_shadow

    public final boolean GL_ARB_shadow

### GL_ARB_shadow_ambient

    public final boolean GL_ARB_shadow_ambient

### GL_ARB_texture_border_clamp

    public final boolean GL_ARB_texture_border_clamp

### GL_ARB_texture_compression

    public final boolean GL_ARB_texture_compression

### GL_ARB_texture_cube_map

    public final boolean GL_ARB_texture_cube_map

### GL_ARB_texture_env_add

    public final boolean GL_ARB_texture_env_add

### GL_ARB_texture_env_combine

    public final boolean GL_ARB_texture_env_combine

### GL_ARB_texture_env_crossbar

    public final boolean GL_ARB_texture_env_crossbar

### GL_ARB_texture_env_dot3

    public final boolean GL_ARB_texture_env_dot3

### GL_ARB_texture_float

    public final boolean GL_ARB_texture_float

### GL_ARB_texture_mirrored_repeat

    public final boolean GL_ARB_texture_mirrored_repeat

### GL_ARB_texture_non_power_of_two

    public final boolean GL_ARB_texture_non_power_of_two

### GL_ARB_texture_rectangle

    public final boolean GL_ARB_texture_rectangle

### GL_ARB_transpose_matrix

    public final boolean GL_ARB_transpose_matrix

### GL_ARB_vertex_blend

    public final boolean GL_ARB_vertex_blend

### GL_ARB_vertex_buffer_object

    public final boolean GL_ARB_vertex_buffer_object

### GL_ARB_vertex_program

    public final boolean GL_ARB_vertex_program

### GL_ARB_vertex_shader

    public final boolean GL_ARB_vertex_shader

### GL_ARB_window_pos

    public final boolean GL_ARB_window_pos

### GL_ATI_draw_buffers

    public final boolean GL_ATI_draw_buffers

### GL_ATI_element_array

    public final boolean GL_ATI_element_array

### GL_ATI_envmap_bumpmap

    public final boolean GL_ATI_envmap_bumpmap

### GL_ATI_fragment_shader

    public final boolean GL_ATI_fragment_shader

### GL_ATI_map_object_buffer

    public final boolean GL_ATI_map_object_buffer

### GL_ATI_pn_triangles

    public final boolean GL_ATI_pn_triangles

### GL_ATI_separate_stencil

    public final boolean GL_ATI_separate_stencil

### GL_ATI_shader_texture_lod

    public final boolean GL_ATI_shader_texture_lod

### GL_ATI_text_fragment_shader

    public final boolean GL_ATI_text_fragment_shader

### GL_ATI_texture_compression_3dc

    public final boolean GL_ATI_texture_compression_3dc

### GL_ATI_texture_float

    public final boolean GL_ATI_texture_float

### GL_ATI_texture_mirror_once

    public final boolean GL_ATI_texture_mirror_once

### GL_ATI_vertex_array_object

    public final boolean GL_ATI_vertex_array_object

### GL_ATI_vertex_attrib_array_object

    public final boolean GL_ATI_vertex_attrib_array_object

### GL_ATI_vertex_streams

    public final boolean GL_ATI_vertex_streams

### GL_EXT_abgr

    public final boolean GL_EXT_abgr

### GL_EXT_bgra

    public final boolean GL_EXT_bgra

### GL_EXT_bindable_uniform

    public final boolean GL_EXT_bindable_uniform

### GL_EXT_blend_color

    public final boolean GL_EXT_blend_color

### GL_EXT_blend_equation_separate

    public final boolean GL_EXT_blend_equation_separate

### GL_EXT_blend_func_separate

    public final boolean GL_EXT_blend_func_separate

### GL_EXT_blend_minmax

    public final boolean GL_EXT_blend_minmax

### GL_EXT_blend_subtract

    public final boolean GL_EXT_blend_subtract

### GL_EXT_cg_shader

    public final boolean GL_EXT_cg_shader

### GL_EXT_compiled_vertex_array

    public final boolean GL_EXT_compiled_vertex_array

### GL_EXT_depth_bounds_test

    public final boolean GL_EXT_depth_bounds_test

### GL_EXT_draw_buffers2

    public final boolean GL_EXT_draw_buffers2

### GL_EXT_draw_instanced

    public final boolean GL_EXT_draw_instanced

### GL_EXT_draw_range_elements

    public final boolean GL_EXT_draw_range_elements

### GL_EXT_fog_coord

    public final boolean GL_EXT_fog_coord

### GL_EXT_framebuffer_blit

    public final boolean GL_EXT_framebuffer_blit

### GL_EXT_framebuffer_multisample

    public final boolean GL_EXT_framebuffer_multisample

### GL_EXT_framebuffer_object

    public final boolean GL_EXT_framebuffer_object

### GL_EXT_framebuffer_sRGB

    public final boolean GL_EXT_framebuffer_sRGB

### GL_EXT_geometry_shader4

    public final boolean GL_EXT_geometry_shader4

### GL_EXT_gpu_program_parameters

    public final boolean GL_EXT_gpu_program_parameters

### GL_EXT_gpu_shader4

    public final boolean GL_EXT_gpu_shader4

### GL_EXT_multi_draw_arrays

    public final boolean GL_EXT_multi_draw_arrays

### GL_EXT_packed_depth_stencil

    public final boolean GL_EXT_packed_depth_stencil

### GL_EXT_packed_float

    public final boolean GL_EXT_packed_float

### GL_EXT_packed_pixels

    public final boolean GL_EXT_packed_pixels

### GL_EXT_paletted_texture

    public final boolean GL_EXT_paletted_texture

### GL_EXT_pixel_buffer_object

    public final boolean GL_EXT_pixel_buffer_object

### GL_EXT_point_parameters

    public final boolean GL_EXT_point_parameters

### GL_EXT_rescale_normal

    public final boolean GL_EXT_rescale_normal

### GL_EXT_secondary_color

    public final boolean GL_EXT_secondary_color

### GL_EXT_separate_specular_color

    public final boolean GL_EXT_separate_specular_color

### GL_EXT_shadow_funcs

    public final boolean GL_EXT_shadow_funcs

### GL_EXT_shared_texture_palette

    public final boolean GL_EXT_shared_texture_palette

### GL_EXT_stencil_clear_tag

    public final boolean GL_EXT_stencil_clear_tag

### GL_EXT_stencil_two_side

    public final boolean GL_EXT_stencil_two_side

### GL_EXT_stencil_wrap

    public final boolean GL_EXT_stencil_wrap

### GL_EXT_texture_3d

    public final boolean GL_EXT_texture_3d

### GL_EXT_texture_array

    public final boolean GL_EXT_texture_array

### GL_EXT_texture_buffer_object

    public final boolean GL_EXT_texture_buffer_object

### GL_EXT_texture_compression_latc

    public final boolean GL_EXT_texture_compression_latc

### GL_EXT_texture_compression_rgtc

    public final boolean GL_EXT_texture_compression_rgtc

### GL_EXT_texture_compression_s3tc

    public final boolean GL_EXT_texture_compression_s3tc

### GL_EXT_texture_env_combine

    public final boolean GL_EXT_texture_env_combine

### GL_EXT_texture_env_dot3

    public final boolean GL_EXT_texture_env_dot3

### GL_EXT_texture_filter_anisotropic

    public final boolean GL_EXT_texture_filter_anisotropic

### GL_EXT_texture_integer

    public final boolean GL_EXT_texture_integer

### GL_EXT_texture_lod_bias

    public final boolean GL_EXT_texture_lod_bias

### GL_EXT_texture_mirror_clamp

    public final boolean GL_EXT_texture_mirror_clamp

### GL_EXT_texture_rectangle

    public final boolean GL_EXT_texture_rectangle

### GL_EXT_texture_sRGB

    public final boolean GL_EXT_texture_sRGB

### GL_EXT_texture_shared_exponent

    public final boolean GL_EXT_texture_shared_exponent

### GL_EXT_timer_query

    public final boolean GL_EXT_timer_query

### GL_EXT_vertex_shader

    public final boolean GL_EXT_vertex_shader

### GL_EXT_vertex_weighting

    public final boolean GL_EXT_vertex_weighting

### OpenGL11

    public final boolean OpenGL11

### OpenGL12

    public final boolean OpenGL12

### OpenGL13

    public final boolean OpenGL13

### OpenGL14

    public final boolean OpenGL14

### OpenGL15

    public final boolean OpenGL15

### OpenGL20

    public final boolean OpenGL20

### OpenGL21

    public final boolean OpenGL21

### GL_HP_occlusion_test

    public final boolean GL_HP_occlusion_test

### GL_IBM_rasterpos_clip

    public final boolean GL_IBM_rasterpos_clip

### GL_NV_blend_square

    public final boolean GL_NV_blend_square

### GL_NV_copy_depth_to_color

    public final boolean GL_NV_copy_depth_to_color

### GL_NV_depth_buffer_float

    public final boolean GL_NV_depth_buffer_float

### GL_NV_depth_clamp

    public final boolean GL_NV_depth_clamp

### GL_NV_evaluators

    public final boolean GL_NV_evaluators

### GL_NV_fence

    public final boolean GL_NV_fence

### GL_NV_float_buffer

    public final boolean GL_NV_float_buffer

### GL_NV_fog_distance

    public final boolean GL_NV_fog_distance

### GL_NV_fragment_program

    public final boolean GL_NV_fragment_program

### GL_NV_fragment_program2

    public final boolean GL_NV_fragment_program2

### GL_NV_fragment_program4

    public final boolean GL_NV_fragment_program4

### GL_NV_fragment_program_option

    public final boolean GL_NV_fragment_program_option

### GL_NV_framebuffer_multisample_coverage

    public final boolean GL_NV_framebuffer_multisample_coverage

### GL_NV_geometry_program4

    public final boolean GL_NV_geometry_program4

### GL_NV_geometry_shader4

    public final boolean GL_NV_geometry_shader4

### GL_NV_gpu_program4

    public final boolean GL_NV_gpu_program4

### GL_NV_half_float

    public final boolean GL_NV_half_float

### GL_NV_light_max_exponent

    public final boolean GL_NV_light_max_exponent

### GL_NV_multisample_filter_hint

    public final boolean GL_NV_multisample_filter_hint

### GL_NV_occlusion_query

    public final boolean GL_NV_occlusion_query

### GL_NV_packed_depth_stencil

    public final boolean GL_NV_packed_depth_stencil

### GL_NV_parameter_buffer_object

    public final boolean GL_NV_parameter_buffer_object

### GL_NV_pixel_data_range

    public final boolean GL_NV_pixel_data_range

### GL_NV_point_sprite

    public final boolean GL_NV_point_sprite

### GL_NV_primitive_restart

    public final boolean GL_NV_primitive_restart

### GL_NV_register_combiners

    public final boolean GL_NV_register_combiners

### GL_NV_register_combiners2

    public final boolean GL_NV_register_combiners2

### GL_NV_texgen_reflection

    public final boolean GL_NV_texgen_reflection

### GL_NV_texture_compression_vtc

    public final boolean GL_NV_texture_compression_vtc

### GL_NV_texture_env_combine4

    public final boolean GL_NV_texture_env_combine4

### GL_NV_texture_expand_normal

    public final boolean GL_NV_texture_expand_normal

### GL_NV_texture_rectangle

    public final boolean GL_NV_texture_rectangle

### GL_NV_texture_shader

    public final boolean GL_NV_texture_shader

### GL_NV_texture_shader2

    public final boolean GL_NV_texture_shader2

### GL_NV_texture_shader3

    public final boolean GL_NV_texture_shader3

### GL_NV_transform_feedback

    public final boolean GL_NV_transform_feedback

### GL_NV_vertex_array_range

    public final boolean GL_NV_vertex_array_range

### GL_NV_vertex_array_range2

    public final boolean GL_NV_vertex_array_range2

### GL_NV_vertex_program

    public final boolean GL_NV_vertex_program

### GL_NV_vertex_program1_1

    public final boolean GL_NV_vertex_program1_1

### GL_NV_vertex_program2

    public final boolean GL_NV_vertex_program2

### GL_NV_vertex_program2_option

    public final boolean GL_NV_vertex_program2_option

### GL_NV_vertex_program3

    public final boolean GL_NV_vertex_program3

### GL_NV_vertex_program4

    public final boolean GL_NV_vertex_program4

### GL_SGIS_generate_mipmap

    public final boolean GL_SGIS_generate_mipmap

### GL_SGIS_texture_lod

    public final boolean GL_SGIS_texture_lod

### GL_SUN_slice_accum

    public final boolean GL_SUN_slice_accum

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.